Bug 1571464 - Typo. Reference to identity:get_identity_providers in Horizon
Summary: Typo. Reference to identity:get_identity_providers in Horizon
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: 10.0 (Newton)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: Upstream M2
: 14.0 (Rocky)
Assignee: Radomir Dopieralski
QA Contact: Beth White
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 21:25 UTC by Mircea Vutcovici
Modified: 2018-11-30 12:20 UTC (History)
5 users (show)

Fixed In Version: python-django-horizon-14.0.0-0.20180430085158.70e8977.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-23 17:24:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1703369 0 None None None 2018-04-25 09:40:36 UTC
OpenStack gerrit 564150 0 None None None 2018-04-25 09:39:48 UTC

Description Mircea Vutcovici 2018-04-24 21:25:55 UTC
Description of problem:
There is a keystone upstram bug: https://bugs.launchpad.net/keystone/+bug/1703369
In this bug "identity:get_identity_providers" was used as default instead of "identity:get_identity_provider". The identity:get_identity_provider should be at singular (no trailing "s").

Same typo exists in Horizon unit testing and documentation and it is not yet fixed.

Version-Release number of selected component (if applicable):
Latest version in git source 
https://github.com/openstack/horizon/search?utf8=%E2%9C%93&q=identity%3Aget_identity_providers&type=

$ grep -r get_identity_providers
doc/source/contributor/topics/policy.rst:   identity:get_identity_providers
openstack_auth/tests/conf/keystone_policy.json:    "identity:get_identity_providers": "rule:admin_required",
openstack_auth/tests/conf/policy.v3cloudsample.json:    "identity:get_identity_providers": "rule:cloud_admin",

Comment 5 Radomir Dopieralski 2018-04-27 10:13:27 UTC
There are no mentions of that policy name in Horizon in OSP10, OSP11 or OSP12, so no backports for those versions are necessary.


Note You need to log in before you can comment on or make changes to this bug.